Distribution: 	CCux
Packager: 	Christian Metzen <metzench@ccux-linux.de>
Name: 		povray
Version: 	3.6.1
Release: 	4
Source0: 	%{name}-3.6.tar.bz2
Summary: 	Povray - persistance of vision raytracer
URL: 		http://www.povray.org
License: 	POV License
Group: 		Graphics
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Patch0:		povray-userdir.patch

%description
The Persistence of Vision Ray-Tracer creates three-dimensional, photo-realistic images using a rendering technique called ray-tracing. It reads in a text file containing information describing the objects and lighting in a scene and generates an image of that scene from the view point of a camera also described in the text file. Ray-tracing is not a fast process by any means, but it produces very high quality images with realistic reflections, shading, perspective and other effects.

%package doc
Summary:        povray documentation
Group:          Graphics
Requires:       povray = %{version}-%{release}

%description doc
povray user documentation and manuals


%prep
%setup -n %{name}-%{version}
%patch0
libtoolize --force
aclocal
autoheader
automake -a
autoconf


%build

# Use Povray CFLAGS

export CFLAGS=""
export CXXFLAGS=""
export pov_arch="i686"
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} --sysconfdir=%_sysconfdir \
    --with-x --with-svga COMPILED_BY="${USER} (on `uname -n`) [CCUX-Linux]" --disable-debug 
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 
 

%files
%defattr(-,root,root)
%exclude %{_defaultdocdir}/*
/*

%files doc
%defattr(-,root,root)
%{_defaultdocdir}/*


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun May 28 2006 Stefan Gottwald <gotti@ccux-linux.de> 3.6.1-4
- revised userdir patch
* Sat May 27 2006 Stefan Gottwald <gotti@ccux-linux.de> 3.6.1-3
- added povray-userdir Patch
- changed Compiled by entry
* Sat Aug 13 2005 Christian Metzen <metzench@ccux-linux.de> 3.6.1-2
- Fixed sysconfdir
* Tue Jul 19 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 3.6.1-1
- Version Update, rebuilt spec, separated doc files
* Mon Dec 27 2004 Christian Metzen <metzench@ccux.de> 3.5c-1
- Initial release
